import { world, system } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe(initEvent => {
	initEvent.itemComponentRegistry.registerCustomComponent('miraculous:venom_hit', {
	onHitEntity: (e) => {
		(e.itemStack, e.source, true);
			e.attackingEntity.runCommand("clear @s miraculous:venom 0 1");
				const targetEntity = e.hitEntity;
					if (targetEntity) {
						targetEntity.runCommand("effect @s[type=!player] slowness infinite 255 true");
						targetEntity.runCommand("inputpermission set @s movement disabled");
						targetEntity.runCommand("inputpermission set @s camera disabled");
						system.runTimeout(() => {
						targetEntity.runCommand("effect @s[type=!player] slowness 0");
						targetEntity.runCommand("inputpermission set @s movement enabled");
						targetEntity.runCommand("inputpermission set @s camera enabled");
						}, 200);
					}
				},
			}
		);
	}
);