import { world } from '@minecraft/server';

const beeItems = [
'miraculous:camo_bee_miraculous',
'miraculous:marinette_camo_bee_miraculous'
];

world.beforeEvents.itemUse.subscribe(event => {
	const itemType = event.itemStack.typeId;
		if (beeItems.includes(itemType)) {
			event.source.runCommandAsync('tp @e[type=miraculous:pollen, c=1] @s');
		}
		if (itemType == 'miraculous:bee_miraculous_charged') {
			event.source.runCommandAsync('event entity @s is_bee_detransformation');
		}
		if (!event.source.isSneaking) {
			if (itemType == 'miraculous:bee_miraculous') {
				event.source.runCommandAsync('gamerule sendcommandfeedback false');
				event.source.runCommandAsync('tag @s[tag=!marinette_bee] add chloe_bee');
				event.source.runCommandAsync('tag @s[tag=!marigold, tag=!vesperia, tag=!honey_comb] add queen_bee');
				event.source.runCommandAsync('replaceitem entity @s[tag=chloe_bee] slot.weapon.mainhand 0 miraculous:camo_bee_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('replaceitem entity @s[tag=marinette_bee] slot.weapon.mainhand 0 miraculous:marinette_camo_bee_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('summon miraculous:pollen ~~~~~ miraculous:kwami_hungry');
				event.source.runCommandAsync('playsound mini_box @a ~~~');
			}
		}
	}
);