import { world } from '@minecraft/server';

const ladybugItems = [
'miraculous:camo_fox_miraculous',
'miraculous:marinette_camo_fox_miraculous',
'miraculous:gabriel_camo_fox_miraculous'
];
const ladybugMiraculousCharged = [
'miraculous:fox_miraculous_charged',
'miraculous:rena_furtive_miraculous_charged'
];

world.beforeEvents.itemUse.subscribe(event => {
	const itemType = event.itemStack.typeId;
		if (ladybugItems.includes(itemType)) {
			event.source.runCommandAsync('tp @e[type=miraculous:trixx, c=1] @s');
		}
		if (ladybugMiraculousCharged.includes(itemType)) {
			event.source.runCommandAsync('event entity @s is_fox_detransformation');
		}
		if (!event.source.isSneaking) {
			if (itemType == 'miraculous:fox_miraculous') {
				event.source.runCommandAsync('gamerule sendcommandfeedback false');
				event.source.runCommandAsync('tag @s[tag=!marinette_fox, tag=!gabriel_fox] add alya_fox');
				event.source.runCommandAsync('tag @s[tag=!rena_furtive, tag=!fox_trot] add rena_rouge');
				event.source.runCommandAsync('replaceitem entity @s[tag=alya_fox] slot.weapon.mainhand 0 miraculous:camo_fox_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('replaceitem entity @s[tag=marinette_fox] slot.weapon.mainhand 0 miraculous:marinette_camo_fox_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('replaceitem entity @s[tag=gabriel_fox] slot.weapon.mainhand 0 miraculous:gabriel_camo_fox_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('summon miraculous:trixx ~~~~~ miraculous:kwami_hungry');
				event.source.runCommandAsync('playsound mini_box @a ~~~');
			}
		}
	}
);