import { world } from '@minecraft/server';

const peacockItems = [
'miraculous:camo_peacock_miraculous',
'miraculous:felix_camo_peacock_miraculous'
];
world.beforeEvents.itemUse.subscribe(event => {
	const itemType = event.itemStack.typeId;
		if (peacockItems.includes(itemType)) {
			event.source.runCommandAsync('tp @e[type=miraculous:duusu, c=1] @s');
		}
		if (itemType === 'miraculous:peacock_miraculous_charged') {
			event.source.runCommandAsync('event entity @s is_peacock_detransformation');
		}
		if (!event.source.isSneaking) {
			if (itemType == 'miraculous:peacock_miraculous') {
				event.source.runCommandAsync('gamerule sendcommandfeedback false');
				event.source.runCommandAsync('tag @s[tag=!felix_peacock] add nathalie_peacock');
				event.source.runCommandAsync('tag @s[tag=!argos] add mayura');
				event.source.runCommandAsync('replaceitem entity @s[tag=nathalie_peacock] slot.weapon.mainhand 0 miraculous:camo_peacock_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('replaceitem entity @s[tag=felix_peacock] slot.weapon.mainhand 0 miraculous:felix_camo_peacock_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('summon miraculous:duusu ~~~~~ miraculous:kwami_hungry');
				event.source.runCommandAsync('playsound mini_box @a ~~~');
			}
		}
	}
);