import { world } from '@minecraft/server';

const turtleItems = [
'miraculous:camo_turtle_miraculous',
'miraculous:marinette_camo_turtle_miraculous'
];
world.beforeEvents.itemUse.subscribe(event => {
	const itemType = event.itemStack.typeId;
		if (turtleItems.includes(itemType)) {
			event.source.runCommandAsync('tp @e[type=miraculous:wayzz, c=1] @s');
		}
		if (itemType === 'miraculous:turtle_miraculous_charged') {
			event.source.runCommandAsync('event entity @s is_turtle_detransformation');
		}
		if (!event.source.isSneaking) {
			if (itemType == 'miraculous:turtle_miraculous') {
				event.source.runCommandAsync('gamerule sendcommandfeedback false');
				event.source.runCommandAsync('tag @s[tag=!marinette_turtle] add nino_turtle');
				event.source.runCommandAsync('tag @s[tag=!koki_marina, tag=!jade_turtle] add carapace');
				event.source.runCommandAsync('replaceitem entity @s[tag=nino_turtle] slot.weapon.mainhand 0 miraculous:camo_turtle_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('replaceitem entity @s[tag=marinette_turtle] slot.weapon.mainhand 0 miraculous:marinette_camo_turtle_miraculous 1 0 {\"keep_on_death\":{}}');
				event.source.runCommandAsync('summon miraculous:wayzz ~~~~~ miraculous:kwami_hungry');
				event.source.runCommandAsync('playsound mini_box @a ~~~');
			}
		}
	}
);